# Installation
> `npm install --save @types/react-native-material-menu`

# Summary
This package contains type definitions for react-native-material-menu (https://github.com/mxck/react-native-material-menu).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-material-menu.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-material-menu/index.d.ts)
````ts
import { Component, ComponentClass, ReactElement, ReactNode } from "react";
import { StyleProp, TextProps, TextStyle, ViewStyle } from "react-native";

export interface MenuProps {
    button?: ReactElement | undefined;
    children?: ReactNode;
    testID?: string | undefined;
    style?: StyleProp<ViewStyle> | undefined;
    onHidden?: (() => void) | undefined;
    animationDuration?: number | undefined;
}
export interface MenuItemProps {
    children?: ReactNode;
    disabled?: boolean | undefined;
    testID?: string | undefined;
    disabledTextColor?: string | undefined;
    ellipsizeMode?: TextProps["ellipsizeMode"] | undefined;
    onPress?: (() => void) | undefined;
    style?: StyleProp<ViewStyle> | undefined;
    textStyle?: TextStyle | undefined;
    underlayColor?: string | undefined;
}
export interface MenuDividerProps {
    color?: string | undefined;
}

export class MenuDivider extends Component<MenuDividerProps> {}
export class MenuItem extends Component<MenuItemProps> {}

export default class Menu extends Component<MenuProps> {
    show: () => void;
    hide: (onHidden?: () => void) => void;
}

````

### Additional Details
 * Last updated: Thu, 21 Dec 2023 19:06:51 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react), [react-native](https://npmjs.com/package/react-native)

# Credits
These definitions were written by [hyun](https://github.com/KoreanThinker).
